<?php
/**
 * Виджет Now Playing
 */

if (!defined('ABSPATH')) {
    exit;
}

class NowPlayingWidget extends WP_Widget {
    function __construct() {
        parent::__construct(
            'now_playing_widget',
            __('Now Playing', 'text_domain'),
            array('description' => __('Виджет для отображения текущего трека и истории.', 'text_domain'))
        );
    }

    public function widget($args, $instance) {
        echo $args['before_widget'];
        echo '<div class="nowplaying-widget">
                <img id="nowplaying-artwork" src="" alt="Обкладинка треку">
                <h4 style="color: orange;">ЗАРАЗ ЛУНАЄ</h4>
                <p id="nowplaying-track">Завантаження...</p>
                <h5>Історія треків:</h5>
                <ul id="nowplaying-history"></ul>
              </div>';
        echo $args['after_widget'];
    }
}

function register_nowplaying_widget() {
    register_widget('NowPlayingWidget');
}
add_action('widgets_init', 'register_nowplaying_widget');
