<?php
/*
Plugin Name: Now Playing Widget
Plugin URI: https://www.radiorecord.com.ua/
Description: Виджет для отображения текущего трека, обложки и истории треков.
Version: 1.0
Author: LLC IA Radio Record Ukraine
License: GPL2
*/

// Загружаем настройки, если в админке
if (is_admin()) {
    require_once plugin_dir_path(__FILE__) . 'includes/admin-settings.php';
}

if (!defined('ABSPATH')) {
    exit;
}

// Подключение стилей и скриптов
function nowplaying_enqueue_assets() {
    wp_enqueue_style('nowplaying-style', plugin_dir_url(__FILE__) . 'assets/style.css');
    wp_enqueue_script('nowplaying-script', plugin_dir_url(__FILE__) . 'assets/script.js', ['jquery'], null, true);
}
add_action('wp_enqueue_scripts', 'nowplaying_enqueue_assets');

// Подключение виджета
require_once plugin_dir_path(__FILE__) . 'includes/widget.php';
